Bullet Collision Detection & Physics Library: btConeTwistConstraintDoubleData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btConeTwistConstraintDoubleData Struct Reference

`#include <btConeTwistConstraint.h>`

Collaboration diagram for btConeTwistConstraintDoubleData:
[legend]

## Public Attributes
btTypedConstraintDoubleData | m_typeConstraintData
btTransformDoubleData | m_rbAFrame
btTransformDoubleData | m_rbBFrame
double | m_swingSpan1
double | m_swingSpan2
double | m_twistSpan
double | m_limitSoftness
double | m_biasFactor
double | m_relaxationFactor
double | m_damping

## Detailed Description

Definition at line 358 of file btConeTwistConstraint.h.

## Member Data Documentation

## ◆ m_biasFactor

double btConeTwistConstraintDoubleData::m_biasFactor

Definition at line 369 of file btConeTwistConstraint.h.

## ◆ m_damping

double btConeTwistConstraintDoubleData::m_damping

Definition at line 372 of file btConeTwistConstraint.h.

## ◆ m_limitSoftness

double btConeTwistConstraintDoubleData::m_limitSoftness

Definition at line 368 of file btConeTwistConstraint.h.

## ◆ m_rbAFrame

btTransformDoubleData btConeTwistConstraintDoubleData::m_rbAFrame

Definition at line 361 of file btConeTwistConstraint.h.

## ◆ m_rbBFrame

btTransformDoubleData btConeTwistConstraintDoubleData::m_rbBFrame

Definition at line 362 of file btConeTwistConstraint.h.

## ◆ m_relaxationFactor

double btConeTwistConstraintDoubleData::m_relaxationFactor

Definition at line 370 of file btConeTwistConstraint.h.

## ◆ m_swingSpan1

double btConeTwistConstraintDoubleData::m_swingSpan1

Definition at line 365 of file btConeTwistConstraint.h.

## ◆ m_swingSpan2

double btConeTwistConstraintDoubleData::m_swingSpan2

Definition at line 366 of file btConeTwistConstraint.h.

## ◆ m_twistSpan

double btConeTwistConstraintDoubleData::m_twistSpan

Definition at line 367 of file btConeTwistConstraint.h.

## ◆ m_typeConstraintData

btTypedConstraintDoubleData btConeTwistConstraintDoubleData::m_typeConstraintData

Definition at line 360 of file btConeTwistConstraint.h.

The documentation for this struct was generated from the following file:

- btConeTwistConstraint.h